## org.eclipse.datatools.connectivity.ui.wizards
Class ExtensibleProfileDetailsWizardPage

    java.lang.Object
      BaseWizardPage
          org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
              org.eclipse.datatools.connectivity.ui.wizards.ExtensibleProfileDetailsWizardPage

All Implemented Interfaces:
  IDriverUIContributorInformation

    public class ExtensibleProfileDetailsWizardPage

extends ConnectionProfileDetailsPage
implements IDriverUIContributorInformation

Constructor Summary
`ExtensibleProfileDetailsWizardPage(java.lang.String wizardPageName, java.lang.String driverCategoryID)`

Method Summary
`void` `createControl(Composite parent)`
`void` `createCustomControl(Composite parent)`
`boolean` `determinePageCompletion()`
`java.util.Properties` `getProperties()`
`java.util.List` `getSummaryData()`
`boolean` `isPageComplete()`
`void` `setProperties(java.util.Properties properties)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileDetailsPage
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensibleProfileDetailsWizardPage

    public ExtensibleProfileDetailsWizardPage(java.lang.String wizardPageName,
                                              java.lang.String driverCategoryID)

Method Detail

### createCustomControl

    public void createCustomControl(Composite parent)

  Specified by:
    `createCustomControl` in class `ConnectionProfileDetailsPage`

### createControl

    public void createControl(Composite parent)

  Overrides:
    `createControl` in class `ConnectionProfileDetailsPage`

### determinePageCompletion

    public boolean determinePageCompletion()

### getProperties

    public java.util.Properties getProperties()

  Specified by:
    `getProperties` in interface `IDriverUIContributorInformation`

### setProperties

    public void setProperties(java.util.Properties properties)

  Specified by:
    `setProperties` in interface `IDriverUIContributorInformation`

### getSummaryData

    public java.util.List getSummaryData()

### isPageComplete

    public boolean isPageComplete()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.